Data Source Manager: WFS loads layer two time if you use the Add button, and then click OK

2017-10-16 09:32 PM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25190

Description

When in the Datasource manager you create a new WFS connection (via the WFS tab in the dialog),

and then connect to the service.

And then select one layer, and click Add, the layer is added.

BUT if you then click OK, the same layer is added again.

Screenshot added, using this url:

https://geodata.nationaalgeoregister.nl/cbsgebiedsindelingen/wfs?request=GetCapabilitiesx%x%

History

#1 - 2017-10-17 09:05 AM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

#2 - 2017-10-27 04:18 PM - Luigi Pirelli

related UX discussion https://github.com/qgis/qgis3_UIX_discussion/issues/49

#3 - 2017-11-08 02:50 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

This is a feature, not a bug.

BTW, I'm strongly considering to revert the commit that removed the "Close" button and rename existing buttons to:

[Add] [Add and Close] [Close]

Where:

- Add: add the layer(s) to the canvas

- Add & Close: as "Add" plus close the dialog

- Close: just close the dialog

#4 - 2017-11-08 07:19 PM - Richard Duivenvoorde

In my opinion [Add] and [Close] is enough. But do as you (or others) prefer.
https://geodata.nationaalgeoregister.nl/cbsgebiedsindelingen/wfs?request=GetCapabilitiesx%x
Thanks for fixing this feature ;-)

#5 - 2017-11-13 02:08 PM - Alessandro Pasotti

- Status changed from Open to In Progress

- Easy fix? changed from No to Yes

- Regression? changed from Yes to No

- Pull Request or Patch supplied changed from No to Yes

- Priority changed from High to Normal

https://github.com/qgis/QGIS/pull/5616

#6 - 2017-11-21 09:27 AM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed
